# Example of how can be silo.conf set up
partition = 4
root = /dev/sda4
timeout = 10
#password = __put_your_password_in_cleartext_here__
#restricted
image = /vmlinux
	label = linux
image = /vmlinux.old
	label = old
image = /vmlinux.live
	label = live
image = /vmlinux.elf
	label = elf
	root = /dev/sda8
# Boot OS on partition 1 of current disk, using bootblock saved from
# /dev/sda1 to /dev/sda4's /boot/old.b
other = 1
	bootblock = 4/boot/old.b
	label = sunos
# Boot OS on partition 6 of the current disk, using it's bootblock
#other = 6
#	label=os6
#
# This version of silo is able to load solaris kernel already, you just
# specify the name of the image (usually /kernel/unix) without the
# /platform/SUNW,SparcStation_5 like stuff on Solaris 2.5+.
# You should type there a flag solaris, which tells it is a solaris kernel
# and needs special handling (you'll still need to have in / or
# /platform/... your solaris ufsboot loader). You can pass arguments to that
# kernel using literal argument.
# If you want to load a solaris kernel from the command line, you should
# either put a keyword solaris somewhere in parameters, or should use name
# /kernel/unix (which defaults to solaris).
image = 2/kernel/unix
	label = solaris
	literal = "-v"
	solaris
# This image will appear in the image list only if we are on a sun4u
image[sun4u] = /vmlinux64
	label = archspecific
# this one if sun4c, sun4d or sun4m
image[sun4c,sun4d,sun4m] = /vmlinux32
	label = archspecific
# and this one if sun4
image[sun4] = /vmlinux.sun4
	label = archspecific
# This image will be loaded and executed if you press <E> at the beginning
# of the input line. No Enter key is needed.
# If you want to give such a kernel some arguments, you should 
# enter at least one space before the image name (spaces will be eaten,
# but if the single-key label is not the really first letter on the line
# it won't be autostarted).
image = /vmlinuxxy
	label = E
	single-key
# Like this you can build some help system for SILO.
# If the user presses some key at the beginning of the line, it will
# display some file (the "cat " prefix makes it go to screen instead
# of being loaded and executed).
image = "cat /etc/msgs/hello.msg"
	label = H
	single-key
# And if you press L, you will see long listing of your /lib/modules/ :)
image = "ls -l /lib/modules/"
	label = L
	single-key
